List available webhook events
Returns the full list of event types that WUTS can deliver to a webhook, covering message, device, connection, contact, chat, group, call, authentication, privacy, settings, label, newsletter, and sync events.
Returns the full list of event types that WUTS can deliver to a webhook, covering message, device, connection, contact, chat, group, call, authentication, privacy, settings, label, newsletter, and sync events.
Authorization
bearerAuth Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/webhook/events"{ "success": true, "events": [ "message.received", "message.sent", "message.delivered", "message.read", "message.undecryptable", "message.delete_for_me", "mention.sent", "media.retry", "device.connected", "device.disconnected", "device.logged_out", "connection.pair_error", "connection.stream_replaced", "connection.failure", "connection.temporary_ban", "connection.manual_reconnect", "connection.keepalive_timeout", "connection.keepalive_restored", "contact.presence", "contact.changed", "contact.pushname", "contact.about", "contact.picture", "chat.presence", "chat.mark_as_read", "chat.pin", "chat.mute", "chat.archive", "chat.delete", "chat.clear", "group.info", "group.joined", "call.offer", "call.accept", "call.pre_accept", "call.reject", "call.terminate", "call.relay_latency", "call.transport", "call.unknown", "qr.generated", "pair.success", "identity.change", "privacy.blocklist", "privacy.settings", "settings.unarchive_chats", "settings.user_status_mute", "label.edit", "label.association_chat", "label.association_message", "newsletter.join", "newsletter.leave", "newsletter.live_update", "newsletter.mute_change", "history.sync", "offline.sync_preview", "offline.sync_completed", "app_state.sync_complete" ]}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}Delete webhook configuration DELETE
Removes the webhook configuration for the authenticated WUTS device and invalidates the cached configuration. After deletion WUTS stops delivering events to your endpoint.
Get webhook configuration GET
Retrieves the current webhook configuration for the authenticated WUTS device, including the delivery URL, enabled events, retry policy, and custom headers.